﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win.UltraWinDataSource;

namespace WindowsFormsApplication82
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            LoadData();
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            if (e.Row.GetCellValue("Column 0").ToString() == String.Empty)
            {
                e.Row.Cells[0].Hidden = true;
            }
            if (e.Row.GetCellValue("Column 1").ToString() == String.Empty)
            {
                e.Row.Cells[1].Hidden = true;
            }
            if (e.Row.GetCellValue("Column 2").ToString() == String.Empty)
            {
                e.Row.Cells[2].Hidden = true;
            }
            if (e.Row.GetCellValue("Column 3").ToString() == String.Empty)
            {
                e.Row.Cells[3].Hidden = true;
            }
        }

        private void LoadData()
        {
            UltraDataBand myband = ultraDataSource1.Band;


            string[] firstrow = {"JUST PAST THE RTE #2 CUSTOFF- SIGN, TURN LEFT", "FOLLOW THAT ROAD UNTIL PAVEMENT BECOMES GRAVEL", "", 
                                "THIRD DRIVEWAY ON LEFT IS DEL-RAY FARMS"};

            ultraDataSource1.Rows.Add(firstrow);

            string[] secondrow = {"SPECIAL DIRECTIONS TO GET TO THE REMOTE SITE", "", "", ""};

            ultraDataSource1.Rows.Add(secondrow);

            string[] thirdrow = {"DELIVERIES GO TO THE BARN ON THE LEFT, PAST SILO", "", "", "TEST SPLIT LINES"};

            ultraDataSource1.Rows.Add(thirdrow);

            string[] forthrow = {"CUSTOMER DIRECTIONS", "AT THE ESSO STATION", "", ""};

            ultraDataSource1.Rows.Add(forthrow);
            ultraGrid1.Refresh();
        }
    }
}
